
Name:           budgie
Version:        2
Release:        7%{?dist}
Summary:        Simple and distraction free media player
License:        GPLv2+
URL:            http://ikeydoherty.github.io/budgie/
Source0:        https://github.com/ikeydoherty/budgie/releases/download/v%{version}/%{name}-%{version}.tar.xz
Source1:        %{name}.appdata.xml

BuildRequires:  dconf-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gdbm-devel
BuildRequires:  gtk3-devel
BuildRequires:  gstreamer1-devel
BuildRequires:  gstreamer1-plugins-base-devel
BuildRequires:  hicolor-icon-theme
BuildRequires:  id3lib-devel
BuildRequires:  xdg-user-dirs
BuildRequires:  libappstream-glib

Requires:       hicolor-icon-theme
Requires:       gstreamer1

%description
Budgie is a simple media player. It will bring users modern, 
lightweight and distraction free media experience.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
mkdir %{buildroot}%{_datadir}/appdata/
install -p -m 644 -D %{SOURCE1} %{buildroot}%{_datadir}/appdata/

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml

%post
/sbin/ldconfig
/usr/bin/update-desktop-database &> /dev/null || :
/bin/touch --no-create %{_datadir}/mime/packages &>/dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
 
%postun
/sbin/ldconfig
/usr/bin/update-desktop-database &> /dev/null || :
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
    /usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
fi

%posttrans
/usr/bin/update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files
%doc AUTHORS README.mkd 
%license COPYING 
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/appdata/*.appdata.xml
%{_datadir}/icons/hicolor/*/apps/budgie.*
%{_datadir}/glib-2.0/schemas/io.github.ikeydoherty.Budgie.gschema.xml

%changelog
* Sat Jun 18 2016 William Moreno <williamjmorenor@gmail.com> - 2-7
- Fix appdata.xml file

* Thu Mar 10 2016 William Moreno <williamjmorenor@gmail.com> - 2-6
- Use %%license macro
- Include appdata info

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Nov 21 2013 Christopher Meng <rpm@cicku.me> - 2-1
- Initial Package.
